Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.tomcat5
Class CoyoteConnector

    java.lang.Object
      org.apache.coyote.tomcat5.CoyoteConnector

All Implemented Interfaces:
  Connector, Lifecycle, javax.management.MBeanRegistration

public class CoyoteConnector
extends java.lang.Object
implements Connector, Lifecycle, javax.management.MBeanRegistration

Implementation of a Coyote connector for Tomcat 5.x.

Version:
  $Revision: 1.43 $ $Date: 2004/05/27 16:09:48 $
Author:
  Craig R. McClanahan, Remy Maucherat

Field Summary
`protected Container` | `container` The Container used for processing requests received by this Connector.
`protected java.lang.String` | `domain`
`protected LifecycleSupport` | `lifecycle` The lifecycle event support for this component.
`protected int` | `minProcessors` The minimum number of processors to start at initialization time.
`protected javax.management.MBeanServer` | `mserver`
`protected javax.management.ObjectName` | `oname`

Fields inherited from interface org.apache.catalina.Lifecycle
`AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, START_EVENT, STOP_EVENT`

Constructor Summary
`CoyoteConnector()`

Method Summary
`void` | `addLifecycleListener(LifecycleListener listener)` Add a lifecycle event listener to this component.
`Request` | `createRequest()` Create (or allocate) and return a Request object suitable for specifying the contents of a Request to the responsible Container.
`Response` | `createResponse()` Create (or allocate) and return a Response object suitable for receiving the contents of a Response from the responsible Container.
`void` | `destroy()`
`LifecycleListener[]` | `findLifecycleListeners()` Get the lifecycle listeners associated with this lifecycle.
`int` | `getAcceptCount()` Return the accept count for this Connector.
`java.lang.String` | `getAddress()` Return the bind IP address for this Connector.
`boolean` | `getAllowTrace()` True if the TRACE method is allowed.
`int` | `getBufferSize()` Return the input buffer size for this Connector.
`java.lang.String` | `getCiphers()` Gets the list of SSL cipher suites that are to be enabled
`java.lang.String` | `getClientAuth()`
`java.lang.String` | `getCompression()` Get the value of compression.
`int` | `getConnectionLinger()` Return the connection linger for this Connector.
`int` | `getConnectionTimeout()` Return the connection timeout for this Connector.
`int` | `getConnectionUploadTimeout()` Return the connection upload timeout for this Connector.
`Container` | `getContainer()` Return the Container used for processing requests received by this Connector.
`javax.management.ObjectName` | `getController()`
`int` | `getDebug()` Return the debugging detail level for this component.
`boolean` | `getDisableUploadTimeout()` Return the flag that specifies upload time-out behavior.
`java.lang.String` | `getDomain()`
`boolean` | `getEnableLookups()` Return the "enable DNS lookups" flag.
`ServerSocketFactory` | `getFactory()` Return the server socket factory used by this Container.
`java.lang.String` | `getInfo()` Return descriptive information about this Connector implementation.
`boolean` | `getKeepAlive()` Return the Keep-Alive policy for the connection.
`java.lang.String` | `getKeyAlias()` Gets the alias name of the keypair and supporting certificate chain used by this Connector to authenticate itself to SSL clients.
`java.lang.String` | `getKeystoreFile()`
`java.lang.String` | `getKeystorePass()` Return keystorePass
`Mapper` | `getMapper()` Return the mapper.
`int` | `getMaxHttpHeaderSize()` Return the maximum HTTP header size.
`int` | `getMaxKeepAliveRequests()` Return the maximum number of Keep-Alive requests to honor per connection.
`int` | `getMaxPostSize()` Return the maximum size of a POST which will be automatically parsed by the container.
`int` | `getMaxProcessors()` Return the maximum number of processors allowed, or <0 for unlimited.
`int` | `getMinProcessors()` Return the minimum number of processors to start at initialization.
`javax.management.ObjectName` | `getObjectName()`
`int` | `getPort()` Return the port number on which we listen for requests.
`java.lang.Object` | `getProperty(java.lang.String name)` Return a configured property.
`java.lang.String` | `getProtocol()` Return the Coyote protocol handler in use.
`ProtocolHandler` | `getProtocolHandler()` Return the protocol handler associated with the connector.
`java.lang.String` | `getProtocolHandlerClassName()` Return the class name of the Coyote protocol handler in use.
`java.lang.String` | `getProxyName()` Return the proxy server name for this Connector.
`int` | `getProxyPort()` Return the proxy server port for this Connector.
`int` | `getRedirectPort()` Return the port number to which a request should be redirected if it comes in on a non-SSL port and is subject to a security constraint with a transport guarantee that requires SSL.
`java.lang.String` | `getScheme()` Return the scheme that will be assigned to requests received through this connector.
`boolean` | `getSecure()` Return the secure connection flag that will be assigned to requests received through this connector.
`int` | `getServerSocketTimeout()` Return the server socket timeout for this Connector.
`Service` | `getService()` Return the `Service` with which we are associated (if any).
`java.lang.String` | `getSslProtocol()` Gets the SSL protocol variant to be used.
`java.lang.String` | `getSslProtocols()` Gets the SSL protocol variants to be enabled.
`boolean` | `getTcpNoDelay()` Return the TCP no delay flag value.
`int` | `getThreadPriority()` Return the processor thread priority.
`boolean` | `getTomcatAuthentication()`
`java.lang.String` | `getURIEncoding()` Return the character encoding to be used for the URI.
`boolean` | `getUseBodyEncodingForURI()` Return the true if the entity body encoding should be used for the URI.
`void` | `init()`
`void` | `initialize()` Initialize this connector (create ServerSocket here!)
`boolean` | `isAvailable()` Is this connector available for processing requests?
`boolean` | `isXpoweredBy()` Indicates whether the generation of an X-Powered-By response header for servlet-generated responses is enabled or disabled for this Connector.
`void` | `pause()` Pause the connector.
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `removeLifecycleListener(LifecycleListener listener)` Remove a lifecycle event listener from this component.
`void` | `removeProperty(java.lang.String name)` remove a configured property.
`void` | `resume()` Pause the connector.
`void` | `setAcceptCount(int count)` Set the accept count for this Connector.
`void` | `setAddress(java.lang.String address)` Set the bind IP address for this Connector.
`void` | `setAllowTrace(boolean allowTrace)` Set the allowTrace flag, to disable or enable the TRACE HTTP method.
`void` | `setBufferSize(int bufferSize)` Set the input buffer size for this Connector.
`void` | `setCiphers(java.lang.String ciphers)` Sets the SSL cipher suites that are to be enabled.
`void` | `setClientAuth(java.lang.String clientAuth)`
`void` | `setCompression(java.lang.String compression)` Set the value of compression.
`void` | `setConnectionLinger(int connectionLinger)` Set the connection linger for this Connector.
`void` | `setConnectionTimeout(int connectionTimeout)` Set the connection timeout for this Connector.
`void` | `setConnectionUploadTimeout(int connectionUploadTimeout)` Set the connection upload timeout for this Connector.
`void` | `setContainer(Container container)` Set the Container used for processing requests received by this Connector.
`void` | `setController(javax.management.ObjectName controller)`
`void` | `setDebug(int debug)` Set the debugging detail level for this component.
`void` | `setDisableUploadTimeout(boolean isDisabled)` Set the flag to specify upload time-out behavior.
`void` | `setEnableLookups(boolean enableLookups)` Set the "enable DNS lookups" flag.
`void` | `setFactory(ServerSocketFactory factory)` Set the server socket factory used by this Container.
`void` | `setKeepAlive(boolean keepAlive)` Set the keep-alive policy for this connection.
`void` | `setKeyAlias(java.lang.String alias)` Sets the alias name of the keypair and supporting certificate chain used by this Connector to authenticate itself to SSL clients.
`void` | `setKeystoreFile(java.lang.String keystoreFile)`
`void` | `setKeystorePass(java.lang.String keystorePass)` Set keystorePass
`void` | `setMaxHttpHeaderSize(int size)` Set the maximum HTTP header size.
`void` | `setMaxKeepAliveRequests(int mkar)` Set the maximum number of Keep-Alive requests to honor per connection.
`void` | `setMaxPostSize(int maxPostSize)` Set the maximum size of a POST which will be automatically parsed by the container.
`void` | `setMaxProcessors(int maxProcessors)` Set the maximum number of processors allowed, or <0 for unlimited.
`void` | `setMinProcessors(int minProcessors)` Set the minimum number of processors to start at initialization.
`void` | `setPort(int port)` Set the port number on which we listen for requests.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Set a configured property.
`void` | `setProtocol(java.lang.String protocol)` Set the Coyote protocol which will be used by the connector.
`void` | `setProtocolHandlerClassName(java.lang.String protocolHandlerClassName)` Set the class name of the Coyote protocol handler which will be used by the connector.
`void` | `setProxyName(java.lang.String proxyName)` Set the proxy server name for this Connector.
`void` | `setProxyPort(int proxyPort)` Set the proxy server port for this Connector.
`void` | `setRedirectPort(int redirectPort)` Set the redirect port number.
`void` | `setScheme(java.lang.String scheme)` Set the scheme that will be assigned to requests received through this connector.
`void` | `setSecure(boolean secure)` Set the secure connection flag that will be assigned to requests received through this connector.
`void` | `setServerSocketTimeout(int serverSocketTimeout)` Set the server socket timeout for this Connector.
`void` | `setService(Service service)` Set the `Service` with which we are associated (if any).
`void` | `setSslProtocol(java.lang.String sslProtocol)` Sets the SSL protocol variant to be used.
`void` | `setSslProtocols(java.lang.String sslProtocols)` Sets the SSL protocol variants to be enabled.
`void` | `setTcpNoDelay(boolean tcpNoDelay)` Set the TCP no delay flag which will be set on the socket after accepting a connection.
`void` | `setThreadPriority(int threadPriority)` Sets the processor thread priority.
`void` | `setTomcatAuthentication(boolean tomcatAuthentication)`
`void` | `setURIEncoding(java.lang.String URIEncoding)` Set the URI encoding to be used for the URI.
`void` | `setUseBodyEncodingForURI(boolean useBodyEncodingForURI)` Set if the entity body encoding should be used for the URI.
`void` | `setXpoweredBy(boolean xpoweredBy)` Enables or disables the generation of an X-Powered-By header (with value Servlet/2.4) for all servlet-generated responses returned by this Connector.
`void` | `start()` Begin processing requests via this Connector.
`void` | `stop()` Terminate processing requests via this Connector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    protected Container container

  The Container used for processing requests received by this Connector.

### lifecycle

    protected LifecycleSupport lifecycle

  The lifecycle event support for this component.

### minProcessors

    protected int minProcessors

  The minimum number of processors to start at initialization time.

### domain

    protected java.lang.String domain

### oname

    protected javax.management.ObjectName oname

### mserver

    protected javax.management.MBeanServer mserver

Constructor Detail

### CoyoteConnector

    public CoyoteConnector()

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Return a configured property.

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Set a configured property.

### removeProperty

    public void removeProperty(java.lang.String name)

  remove a configured property.

### getService

    public Service getService()

  Return the `Service` with which we are associated (if any).

  Specified by:
    `getService` in interface `Connector`

### setService

    public void setService(Service service)

  Set the `Service` with which we are associated (if any).

  Specified by:
    `setService` in interface `Connector`
  Parameters:
    `service` - The service that owns this Engine

### getCompression

    public java.lang.String getCompression()

  Get the value of compression.

### setCompression

    public void setCompression(java.lang.String compression)

  Set the value of compression.

  Parameters:
    `compression` - The new compression value, which can be "on", "off" or "force"

### getConnectionLinger

    public int getConnectionLinger()

  Return the connection linger for this Connector.

### setConnectionLinger

    public void setConnectionLinger(int connectionLinger)

  Set the connection linger for this Connector.

### getConnectionTimeout

    public int getConnectionTimeout()

  Return the connection timeout for this Connector.

### setConnectionTimeout

    public void setConnectionTimeout(int connectionTimeout)

  Set the connection timeout for this Connector.

### getConnectionUploadTimeout

    public int getConnectionUploadTimeout()

  Return the connection upload timeout for this Connector.

### setConnectionUploadTimeout

    public void setConnectionUploadTimeout(int connectionUploadTimeout)

  Set the connection upload timeout for this Connector.

  Parameters:
    `connectionUploadTimeout` - The new connection upload timeout

### getServerSocketTimeout

    public int getServerSocketTimeout()

  Return the server socket timeout for this Connector.

### setServerSocketTimeout

    public void setServerSocketTimeout(int serverSocketTimeout)

  Set the server socket timeout for this Connector.

### getAcceptCount

    public int getAcceptCount()

  Return the accept count for this Connector.

### setAcceptCount

    public void setAcceptCount(int count)

  Set the accept count for this Connector.

  Parameters:
    `count` - The new accept count

### getAddress

    public java.lang.String getAddress()

  Return the bind IP address for this Connector.

### setAddress

    public void setAddress(java.lang.String address)

  Set the bind IP address for this Connector.

  Parameters:
    `address` - The bind IP address

### getAllowTrace

    public boolean getAllowTrace()

  True if the TRACE method is allowed. Default value is "false".

### setAllowTrace

    public void setAllowTrace(boolean allowTrace)

  Set the allowTrace flag, to disable or enable the TRACE HTTP method.

  Parameters:
    `allowTrace` - The new allowTrace flag

### isAvailable

    public boolean isAvailable()

  Is this connector available for processing requests?

### getBufferSize

    public int getBufferSize()

  Return the input buffer size for this Connector.

### setBufferSize

    public void setBufferSize(int bufferSize)

  Set the input buffer size for this Connector.

  Parameters:
    `bufferSize` - The new input buffer size.

### getContainer

    public Container getContainer()

  Return the Container used for processing requests received by this Connector.

  Specified by:
    `getContainer` in interface `Connector`

### setContainer

    public void setContainer(Container container)

  Set the Container used for processing requests received by this Connector.

  Specified by:
    `setContainer` in interface `Connector`
  Parameters:
    `container` - The new Container to use

### getDebug

    public int getDebug()

  Return the debugging detail level for this component.

### setDebug

    public void setDebug(int debug)

  Set the debugging detail level for this component.

  Parameters:
    `debug` - The new debugging detail level

### getEnableLookups

    public boolean getEnableLookups()

  Return the "enable DNS lookups" flag.

  Specified by:
    `getEnableLookups` in interface `Connector`

### setEnableLookups

    public void setEnableLookups(boolean enableLookups)

  Set the "enable DNS lookups" flag.

  Specified by:
    `setEnableLookups` in interface `Connector`
  Parameters:
    `enableLookups` - The new "enable DNS lookups" flag value

### getFactory

    public ServerSocketFactory getFactory()

  Return the server socket factory used by this Container.

  Specified by:
    `getFactory` in interface `Connector`

### setFactory

    public void setFactory(ServerSocketFactory factory)

  Set the server socket factory used by this Container.

  Specified by:
    `setFactory` in interface `Connector`
  Parameters:
    `factory` - The new server socket factory

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Connector implementation.

  Specified by:
    `getInfo` in interface `Connector`

### getMapper

    public Mapper getMapper()

  Return the mapper.

### getMinProcessors

    public int getMinProcessors()

  Return the minimum number of processors to start at initialization.

### setMinProcessors

    public void setMinProcessors(int minProcessors)

  Set the minimum number of processors to start at initialization.

  Parameters:
    `minProcessors` - The new minimum processors

### getMaxProcessors

    public int getMaxProcessors()

  Return the maximum number of processors allowed, or <0 for unlimited.

### setMaxProcessors

    public void setMaxProcessors(int maxProcessors)

  Set the maximum number of processors allowed, or <0 for unlimited.

  Parameters:
    `maxProcessors` - The new maximum processors

### getThreadPriority

    public int getThreadPriority()

  Return the processor thread priority.

  Returns:
    int

### setThreadPriority

    public void setThreadPriority(int threadPriority)

  Sets the processor thread priority.

  Parameters:
    `threadPriority` - The new priority level

### getMaxPostSize

    public int getMaxPostSize()

  Return the maximum size of a POST which will be automatically parsed by the container.

### setMaxPostSize

    public void setMaxPostSize(int maxPostSize)

  Set the maximum size of a POST which will be automatically parsed by the container.

  Parameters:
    `maxPostSize` - The new maximum size in bytes of a POST which will be automatically parsed by the container

### getPort

    public int getPort()

  Return the port number on which we listen for requests.

### setPort

    public void setPort(int port)

  Set the port number on which we listen for requests.

  Parameters:
    `port` - The new port number

### getProtocol

    public java.lang.String getProtocol()

  Return the Coyote protocol handler in use.

### setProtocol

    public void setProtocol(java.lang.String protocol)

  Set the Coyote protocol which will be used by the connector.

  Parameters:
    `protocol` - The Coyote protocol name

### getProtocolHandlerClassName

    public java.lang.String getProtocolHandlerClassName()

  Return the class name of the Coyote protocol handler in use.

### setProtocolHandlerClassName

    public void setProtocolHandlerClassName(java.lang.String protocolHandlerClassName)

  Set the class name of the Coyote protocol handler which will be used by the connector.

  Parameters:
    `protocolHandlerClassName` - The new class name

### getProtocolHandler

    public ProtocolHandler getProtocolHandler()

  Return the protocol handler associated with the connector.

### getProxyName

    public java.lang.String getProxyName()

  Return the proxy server name for this Connector.

### setProxyName

    public void setProxyName(java.lang.String proxyName)

  Set the proxy server name for this Connector.

  Parameters:
    `proxyName` - The new proxy server name

### getProxyPort

    public int getProxyPort()

  Return the proxy server port for this Connector.

### setProxyPort

    public void setProxyPort(int proxyPort)

  Set the proxy server port for this Connector.

  Parameters:
    `proxyPort` - The new proxy server port

### getRedirectPort

    public int getRedirectPort()

  Return the port number to which a request should be redirected if it comes in on a non-SSL port and is subject to a security constraint with a transport guarantee that requires SSL.

  Specified by:
    `getRedirectPort` in interface `Connector`

### setRedirectPort

    public void setRedirectPort(int redirectPort)

  Set the redirect port number.

  Specified by:
    `setRedirectPort` in interface `Connector`
  Parameters:
    `redirectPort` - The redirect port number (non-SSL to SSL)

### getDisableUploadTimeout

    public boolean getDisableUploadTimeout()

  Return the flag that specifies upload time-out behavior.

### setDisableUploadTimeout

    public void setDisableUploadTimeout(boolean isDisabled)

  Set the flag to specify upload time-out behavior.

  Parameters:
    `isDisabled` - If `true`, then the `timeout` parameter is ignored. If `false`, then the `timeout` parameter is used to control uploads.

### getKeepAlive

    public boolean getKeepAlive()

  Return the Keep-Alive policy for the connection.

### setKeepAlive

    public void setKeepAlive(boolean keepAlive)

  Set the keep-alive policy for this connection.

### getMaxHttpHeaderSize

    public int getMaxHttpHeaderSize()

  Return the maximum HTTP header size.

### setMaxHttpHeaderSize

    public void setMaxHttpHeaderSize(int size)

  Set the maximum HTTP header size.

### getMaxKeepAliveRequests

    public int getMaxKeepAliveRequests()

  Return the maximum number of Keep-Alive requests to honor per connection.

### setMaxKeepAliveRequests

    public void setMaxKeepAliveRequests(int mkar)

  Set the maximum number of Keep-Alive requests to honor per connection.

### getScheme

    public java.lang.String getScheme()

  Return the scheme that will be assigned to requests received through this connector. Default value is "http".

  Specified by:
    `getScheme` in interface `Connector`

### setScheme

    public void setScheme(java.lang.String scheme)

  Set the scheme that will be assigned to requests received through this connector.

  Specified by:
    `setScheme` in interface `Connector`
  Parameters:
    `scheme` - The new scheme

### getSecure

    public boolean getSecure()

  Return the secure connection flag that will be assigned to requests received through this connector. Default value is "false".

  Specified by:
    `getSecure` in interface `Connector`

### setSecure

    public void setSecure(boolean secure)

  Set the secure connection flag that will be assigned to requests received through this connector.

  Specified by:
    `setSecure` in interface `Connector`
  Parameters:
    `secure` - The new secure connection flag

### getTomcatAuthentication

    public boolean getTomcatAuthentication()

### setTomcatAuthentication

    public void setTomcatAuthentication(boolean tomcatAuthentication)

### getTcpNoDelay

    public boolean getTcpNoDelay()

  Return the TCP no delay flag value.

### setTcpNoDelay

    public void setTcpNoDelay(boolean tcpNoDelay)

  Set the TCP no delay flag which will be set on the socket after accepting a connection.

  Parameters:
    `tcpNoDelay` - The new TCP no delay flag

### getURIEncoding

    public java.lang.String getURIEncoding()

  Return the character encoding to be used for the URI.

### setURIEncoding

    public void setURIEncoding(java.lang.String URIEncoding)

  Set the URI encoding to be used for the URI.

  Parameters:
    `URIEncoding` - The new URI character encoding.

### getUseBodyEncodingForURI

    public boolean getUseBodyEncodingForURI()

  Return the true if the entity body encoding should be used for the URI.

### setUseBodyEncodingForURI

    public void setUseBodyEncodingForURI(boolean useBodyEncodingForURI)

  Set if the entity body encoding should be used for the URI.

  Parameters:
    `useBodyEncodingForURI` - The new value for the flag.

### isXpoweredBy

    public boolean isXpoweredBy()

  Indicates whether the generation of an X-Powered-By response header for servlet-generated responses is enabled or disabled for this Connector.

  Returns:
    true if generation of X-Powered-By response header is enabled, false otherwise

### setXpoweredBy

    public void setXpoweredBy(boolean xpoweredBy)

  Enables or disables the generation of an X-Powered-By header (with value Servlet/2.4) for all servlet-generated responses returned by this Connector.

  Parameters:
    `xpoweredBy` - true if generation of X-Powered-By response header is to be enabled, false otherwise

### createRequest

    public Request createRequest()

  Create (or allocate) and return a Request object suitable for specifying the contents of a Request to the responsible Container.

  Specified by:
    `createRequest` in interface `Connector`

### createResponse

    public Response createResponse()

  Create (or allocate) and return a Response object suitable for receiving the contents of a Response from the responsible Container.

  Specified by:
    `createResponse` in interface `Connector`

### addLifecycleListener

    public void addLifecycleListener(LifecycleListener listener)

  Add a lifecycle event listener to this component.

  Specified by:
    `addLifecycleListener` in interface `Lifecycle`
  Parameters:
    `listener` - The listener to add

### findLifecycleListeners

    public LifecycleListener[] findLifecycleListeners()

  Get the lifecycle listeners associated with this lifecycle. If this Lifecycle has no listeners registered, a zero-length array is returned.

  Specified by:
    `findLifecycleListeners` in interface `Lifecycle`

### removeLifecycleListener

    public void removeLifecycleListener(LifecycleListener listener)

  Remove a lifecycle event listener from this component.

  Specified by:
    `removeLifecycleListener` in interface `Lifecycle`
  Parameters:
    `listener` - The listener to add

### initialize

    public void initialize()
                    throws LifecycleException

  Initialize this connector (create ServerSocket here!)

  Specified by:
    `initialize` in interface `Connector`
  Throws:
    `LifecycleException` - If this server was already initialized.

### pause

    public void pause()
               throws LifecycleException

  Pause the connector.

  Specified by:
    `pause` in interface `Connector`
  Throws:
    `LifecycleException`

### resume

    public void resume()
                throws LifecycleException

  Pause the connector.

  Specified by:
    `resume` in interface `Connector`
  Throws:
    `LifecycleException`

### start

    public void start()
               throws LifecycleException

  Begin processing requests via this Connector.

  Specified by:
    `start` in interface `Lifecycle`
  Throws:
    `LifecycleException` - if a fatal startup error occurs

### stop

    public void stop()
              throws LifecycleException

  Terminate processing requests via this Connector.

  Specified by:
    `stop` in interface `Lifecycle`
  Throws:
    `LifecycleException` - if a fatal shutdown error occurs

### getClientAuth

    public java.lang.String getClientAuth()

### setClientAuth

    public void setClientAuth(java.lang.String clientAuth)

### getKeystoreFile

    public java.lang.String getKeystoreFile()

### setKeystoreFile

    public void setKeystoreFile(java.lang.String keystoreFile)

### getKeystorePass

    public java.lang.String getKeystorePass()

  Return keystorePass

### setKeystorePass

    public void setKeystorePass(java.lang.String keystorePass)

  Set keystorePass

### getCiphers

    public java.lang.String getCiphers()

  Gets the list of SSL cipher suites that are to be enabled

  Returns:
    Comma-separated list of SSL cipher suites, or null if all cipher suites supported by the underlying SSL implementation are being enabled

### setCiphers

    public void setCiphers(java.lang.String ciphers)

  Sets the SSL cipher suites that are to be enabled. Only those SSL cipher suites that are actually supported by the underlying SSL implementation will be enabled.

  Parameters:
    `ciphers` - Comma-separated list of SSL cipher suites

### getKeyAlias

    public java.lang.String getKeyAlias()

  Gets the alias name of the keypair and supporting certificate chain used by this Connector to authenticate itself to SSL clients.

  Returns:
    The alias name of the keypair and supporting certificate chain

### setKeyAlias

    public void setKeyAlias(java.lang.String alias)

  Sets the alias name of the keypair and supporting certificate chain used by this Connector to authenticate itself to SSL clients.

  Parameters:
    `alias` - The alias name of the keypair and supporting certificate chain

### getSslProtocol

    public java.lang.String getSslProtocol()

  Gets the SSL protocol variant to be used.

  Returns:
    SSL protocol variant

### setSslProtocol

    public void setSslProtocol(java.lang.String sslProtocol)

  Sets the SSL protocol variant to be used.

  Parameters:
    `sslProtocol` - SSL protocol variant

### getSslProtocols

    public java.lang.String getSslProtocols()

  Gets the SSL protocol variants to be enabled.

  Returns:
    Comma-separated list of SSL protocol variants

### setSslProtocols

    public void setSslProtocols(java.lang.String sslProtocols)

  Sets the SSL protocol variants to be enabled.

  Parameters:
    `sslProtocols` - Comma-separated list of SSL protocol variants

### getController

    public javax.management.ObjectName getController()

### setController

    public void setController(javax.management.ObjectName controller)

### getObjectName

    public javax.management.ObjectName getObjectName()

### getDomain

    public java.lang.String getDomain()

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### init

    public void init()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.